Add a private List column
Add a text, number, boolean or date column to a List. Values stay private to this List and never modify canonical Record facts.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Path Parameters
list_id*string
Match
^list_[0-7][0-9A-HJKMNP-TV-Z]{25}$Header Parameters
Idempotency-Key*string
Length
8 <= length <= 200SMB-Workspace-Id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/lists/string/columns" \ -H "Idempotency-Key: stringst" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "value_type": "text", "expected_version": 1 }'{ "data": { "column_id": "8f0515e3-00f6-4dd0-8153-321f1f40863d", "name": "string", "value_type": "text", "position": 0, "list_id": "string", "version": 1 }, "request_id": "string", "action_receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "create_list_column", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true}